Skip to main content
PUT
/
admin
/
tenants
/
{tenant_id}
/
quota
Update Tenant Quota
curl --request PUT \
  --url https://api.example.com/admin/tenants/{tenant_id}/quota \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "max_agents": 500,
  "max_squads": 50,
  "max_calls_per_month": 500000,
  "max_concurrent_calls": 500,
  "max_minutes_per_month": 1,
  "max_campaigns": 500,
  "max_recordings_gb": 500,
  "max_files_gb": 50,
  "max_file_size_mb": 250
}
'
import requests

url = "https://api.example.com/admin/tenants/{tenant_id}/quota"

payload = {
"max_agents": 500,
"max_squads": 50,
"max_calls_per_month": 500000,
"max_concurrent_calls": 500,
"max_minutes_per_month": 1,
"max_campaigns": 500,
"max_recordings_gb": 500,
"max_files_gb": 50,
"max_file_size_mb": 250
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
max_agents: 500,
max_squads: 50,
max_calls_per_month: 500000,
max_concurrent_calls: 500,
max_minutes_per_month: 1,
max_campaigns: 500,
max_recordings_gb: 500,
max_files_gb: 50,
max_file_size_mb: 250
})
};

fetch('https://api.example.com/admin/tenants/{tenant_id}/quota', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenant_id
string<uuid>
required

Body

application/json

Request to update tenant quota (tenure).

max_agents
integer | null

Maximum agents

Required range: 1 <= x <= 1000
max_squads
integer | null

Maximum squads

Required range: 1 <= x <= 100
max_calls_per_month
integer | null

Monthly call limit

Required range: 0 <= x <= 1000000
max_concurrent_calls
integer | null

Concurrent call limit

Required range: 1 <= x <= 1000
max_minutes_per_month
number | null

Monthly minutes limit

Required range: x >= 0
max_campaigns
integer | null

Maximum campaigns

Required range: 0 <= x <= 1000
max_recordings_gb
number | null

Recording storage limit (GB)

Required range: 0 <= x <= 1000
max_files_gb
number | null

File storage limit (GB)

Required range: 0 <= x <= 100
max_file_size_mb
integer | null

Max single file size (MB)

Required range: 1 <= x <= 500

Response

Successful Response